Skip to main content
GET
/
api
/
v1
/
contract-templates
/
{templateId}
/
function
Get Contract Functions
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/contract-templates/{templateId}/function \
  --header 'x-api-key: <api-key>'
{
  "contractFunction": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "transfer",
      "stateMutability": "pure",
      "type": "function",
      "inputs": [
        {}
      ],
      "outputs": [
        {}
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain your API key from the dashboard.

Headers

x-sdk-version
string
default:1.0.0

SDK version header

Path Parameters

templateId
string
required

Contract template ID

Response

Successfully retrieved contract functions

Contract functions response object

contractFunction
object[]